# Setting

Controls some key request features of the runtime at the request level.

## Component Signature

```
<bx:Setting enableOutputOnly=[boolean]
showDebugOutput=[boolean]
requestTimeout=[long] />
```

### Attributes

| Atrribute          | Type      | Required | Description                                                                              | Default |
| ------------------ | --------- | -------- | ---------------------------------------------------------------------------------------- | ------- |
| `enableOutputOnly` | `boolean` | `false`  | If true, the runtime will only output the result of the request and not the debug output |         |
| `showDebugOutput`  | `boolean` | `false`  | If true, the runtime will output the debug output according to the runtime in use        |         |
| `requestTimeout`   | `long`    | `false`  | The timeout in seconds for the request                                                   |         |

## Examples

### Script Syntax

Enable bx:output only

[Run Example](https://try.boxlang.io/?code=eJxLqrAqTi0pycxLV0jNS0zKSc0vLSkoLcnPy6m0LSkqTbXmAgDtxg1P)

```java
bx:setting enableoutputonly=true;

```

### Script Syntax

Disables debug output

[Run Example](https://try.boxlang.io/?code=eJxLqrAqTi0pycxLVyjOyC9PSU0qTc8vLSkoLbFNS8wpTrXmAgDuSA05)

```java
bx:setting showdebugoutput=false;

```

### Script Syntax

Set the request timeout to 30 seconds

[Run Example](https://try.boxlang.io/?code=eJxLqrAqTi0pycxLVyhKLSxNLQayc1PzS0tsjQ2suQC4owso)

```java
bx:setting requesttimeout=30;

```

### Tag Syntax

Enable bx:output only

```java
<bx:setting enableoutputonly="true">
Foo <bx:output>bar</bx:output>
```

Result: bar

### Tag Syntax

Disables debug output

```java
<bx:setting showdebugoutput="false">
```

### Tag Syntax

Set the request timeout to 30 seconds

```java
<bx:setting requesttimeout="30">
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-language/reference/components/system/setting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
